MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003960ATutor- no cat -public2009-10-15 06:162009-11-05 11:12
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.3 
Summary0003960: State of Close side boxes lost
DescriptionThe toggles to open and close the side menu boxes loose their state when changing pages. State should be maintained for the duration of the session.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003789)
cindy (administrator)
2009-10-20 07:21

SVN revision: 8827

Solution: save state of the side menu boxes in cookie, expire in 1 day. Every time when refreshing page, hide/show the side box according to the cookie. Also modify all the affected theme.

Affected scripts:
themes/default/include/box.tmpl.php
themes/default/include/header.tmpl.php

themes/blumin/include/box.tmpl.php
themes/blumin/include/header.tmpl.php

themes/greenmin/include/box.tmpl.php
themes/greenmin/include/header.tmpl.php

themes/default_classic/include/header.tmpl.php

themes/fluid/include/header.tmpl.php

- Issue History
Date Modified Username Field Change
2009-10-15 06:16 greg New Issue
2009-10-15 06:16 greg Affects version => SVN
2009-10-15 06:29 greg Status new => assigned
2009-10-15 06:29 greg Assigned To => cindy
2009-10-20 07:21 cindy Status assigned => resolved
2009-10-20 07:21 cindy Fixed in Version => 1.6.3
2009-10-20 07:21 cindy Resolution open => fixed
2009-10-20 07:21 cindy Note Added: 0003789
2009-11-05 11:12 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker